<template>
    <Form ref="form" v-slot="{ handleSubmit, values, meta }" :initialValues="initialValues">
         <div class="v-chart-account-form px-[40px] py-[30px]">

            <div class="grid gap-4 mb-4 md:grid-cols-2 mt-4">
                <div>
                    <Field name="startDate" v-slot="{ value, handleChange, errorMessage }" rules="required">
                        <label class="block mb-4 text-sm font-medium text-gray-900">Start Date<span class="sign">*</span>
                            <el-form-item :error="errorMessage">
                                <el-date-picker :model-value="value" @update:model-value="handleChange" class="mt-2"
                                    size="large" style="width: 100%" type="date" placeholder="Select Start Date"
                                    value-format="YYYY-MM-DD" format="DD/MM/YYYY" />
                            </el-form-item>
                        </label>
                    </Field>
                </div>
                <div>
                    <Field name="companyId" type="text" v-slot="{ value, errorMessage, handleChange }" rules="required">
                        <label class="block mb-2 text-sm font-medium text-gray-900" for="contractId">Reference No <span
                                class="sign">*</span>
                            <el-form-item :error="errorMessage">
                                <el-select :model-value="value" @update:model-value="handleChange" filterable
                                class="w-[100%] mt-2" placeholder="Select a Reference" size="large" clearable>
                                <el-option v-for="(item, i) in [                                      
                                    { name: 'LHP-0001', value: 'LHP-0001' },
                                    { name: 'LHP-0002', value: 'LHP-0002' },
                                    { name: 'LHP-0003', value: 'LHP-0003' },
                                    { name: 'LHP-0004', value: 'LHP-0004' },
                                ]" :key="i" :label="item.name"
                                    :value="item.value" />
                            </el-select>
                            </el-form-item>
                        </label>
                    </Field>
                </div>

            </div>
            <div  class="grid gap-4 mb-4 md:grid-cols-2 mt-4">
                  <div>
                    <Field name="idNo" type="text" v-slot="{ value, errorMessage, handleChange }" rules="required">
                        <label class="block mb-2 text-sm font-medium text-gray-900" for="contractId">ID No <span
                                class="sign">*</span>
                            <el-form-item :error="errorMessage">
                                <el-select :model-value="value" @update:model-value="handleChange" filterable
                                class="w-[100%] mt-2" placeholder="Select a Reference" size="large" clearable>
                                <el-option v-for="(item, i) in [                                      
                                    { name: 'LHP-0001', value: 'LHP-0001' },
                                    { name: 'LHP-0002', value: 'LHP-0002' },
                                    { name: 'LHP-0003', value: 'LHP-0003' },
                                    { name: 'LHP-0004', value: 'LHP-0004' },
                                ]" :key="i" :label="item.name"
                                    :value="item.value" />
                            </el-select>
                            </el-form-item>
                        </label>
                    </Field>
                </div>
                <div>
                    <Field name="idNo" type="text" v-slot="{ value, errorMessage, handleChange }" rules="required">
                        <label class="block mb-2 text-sm font-medium text-gray-900" for="contractId">Condiction <span
                                class="sign">*</span>
                            <el-form-item :error="errorMessage">
                                <el-select :model-value="value" @update:model-value="handleChange" filterable
                                class="w-[100%] mt-2" placeholder="Select a Reference" size="large" clearable>
                                <el-option v-for="(item, i) in [                                      
                                    { name: 'Finish evalution', value: 'Finish evalution' },
                                    { name: 'loan agreement', value: 'loan agreement' },
                                    { name: 'mortgage agreement ', value: 'mortgage agreement ' },
                                    { name: 'LHP-VIP', value: 'LHP-VIP' },
                                ]" :key="i" :label="item.name"
                                    :value="item.value" />
                            </el-select>
                            </el-form-item>
                        </label>
                    </Field>
                </div>

            </div>
           
          
            <div class="flex justify-center">
                <el-button v-if="!isReadonly" @click="handleSubmit($event, onSubmit(values, meta))"
                    class="bg-blue-700 hover:bg-blue-600 rounded-full ml-2 px-3 py-4 w-[100px]" size="large"
                    color="#1d4ed8">
                    Save
                </el-button>
            </div>
        </div>
    </Form>
  </template>
  <script>
  import {  ref } from "vue";
  import { Form, Field } from "vee-validate";
  
  export default {
    name: 'v-disbursement-reguest-form',
    components: {
        Field,
        Form,
    },
    props: {
        data: {
            type: Object,
            default: () => ({}),
        },
        isEdit: {
            type: Boolean,
            default: false,
        },
    },
  
    emits: ["submit"],
    setup(props, { emit }) {
        const form = ref();
        const initialValues = props?.data || {};
  
        const onSubmit = (values, meta) => {
            if (meta.valid) {
                emit("submit", values);
            }
        };
  
        return {
            initialValues,
            form,
            onSubmit,
        }
    }
  }
  </script>